Package com.arms.egovframework.javaservice.treeframework.excel

## Class ExcelUtilsXlsx

- java.lang.Object
- - com.arms.egovframework.javaservice.treeframework.excel.ExcelUtilsBase
  - - com.arms.egovframework.javaservice.treeframework.excel.ExcelUtilsXlsx

-     public class ExcelUtilsXlsx
      extends ExcelUtilsBase

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `ExcelUtilsXlsx.HeaderRange` |
    `static class` | `ExcelUtilsXlsx.MergeHeaderBox` |

    - ### Nested classes/interfaces inherited from class com.arms.egovframework.javaservice.treeframework.excel.ExcelUtilsBase

      `ExcelUtilsBase.SheetInfos`

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static java.lang.String` | `SHEET_연봉입력` |
    `static java.lang.String` | `SHEET_연봉입력_예시` |

    - ### Fields inherited from class com.arms.egovframework.javaservice.treeframework.excel.ExcelUtilsBase

      `inputStream, outputStream`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ExcelUtilsXlsx​(java.io.InputStream inputStream)` |
    `ExcelUtilsXlsx​(java.io.OutputStream outputStream)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected org.apache.poi.ss.usermodel.Workbook` | `createBlankNewWorkbook()` |
    `<T> void` | `fillWorkBook​(org.apache.poi.ss.usermodel.Workbook workbook, java.lang.String sheetName, java.util.List<CellTemplate> templateList, java.util.List<T> srcContent)` |
    `protected org.apache.poi.ss.usermodel.Workbook` | `getWorkbook()` |

    - ### Methods inherited from class com.arms.egovframework.javaservice.treeframework.excel.ExcelUtilsBase

      `close, create, getHeaderRowSize, getHeaderTitleName, getHeaderTitleRowSize, getHeaderTotalRowSize, read, read, skipExcelHeader`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### SHEET_연봉입력_예시

          public static final java.lang.String SHEET_연봉입력_예시

      See Also:
        Constant Field Values

    - #### SHEET_연봉입력

          public static final java.lang.String SHEET_연봉입력

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### ExcelUtilsXlsx

          public ExcelUtilsXlsx​(java.io.InputStream inputStream)

    - #### ExcelUtilsXlsx

          public ExcelUtilsXlsx​(java.io.OutputStream outputStream)

  - ### Method Detail

    - #### createBlankNewWorkbook

          protected org.apache.poi.ss.usermodel.Workbook createBlankNewWorkbook()

      Specified by:
        `createBlankNewWorkbook` in class `ExcelUtilsBase`

    - #### getWorkbook

          protected org.apache.poi.ss.usermodel.Workbook getWorkbook()
                                                              throws java.io.IOException

      Specified by:
        `getWorkbook` in class `ExcelUtilsBase`
      Throws:
        `java.io.IOException`

    - #### fillWorkBook

          public <T> void fillWorkBook​(org.apache.poi.ss.usermodel.Workbook workbook,
                                       java.lang.String sheetName,
                                       java.util.List<CellTemplate> templateList,
                                       java.util.List<T> srcContent)
                                throws java.lang.IllegalArgumentException,
                                       java.lang.IllegalAccessException,
                                       java.lang.ClassNotFoundException

      Specified by:
        `fillWorkBook` in class `ExcelUtilsBase`
      Throws:
        `java.lang.IllegalArgumentException`
        `java.lang.IllegalAccessException`
        `java.lang.ClassNotFoundException`